Search documentation of bb

# BB.Error.State.CommandCrashed exception (bb v0.17.0)

Copy Markdown View Source

A command crashed during execution.

This error is returned to callers awaiting a command result when the command's callback raises an exception.

## Summary

### Types

t()

### Functions

exception(args)

Create an `Elixir.BB.Error.State.CommandCrashed` without raising it.

## Types

# t()

    @type t() :: %BB.Error.State.CommandCrashed{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      command: module(),
      exception: Exception.t(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.State.CommandCrashed{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      command: term(),
      exception: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.State.CommandCrashed` without raising it.

## Keys

- :command
- :exception